//=============================================================================
// Filename: CodingOnGoing.c
//=============================================================================
#include <htc.h>                // Using Hi-Tech C v9.63 compiler, for different 
#include "lcd.h"
//=============================================================================
//	Configuration Bits
//=============================================================================                                               
#pragma	config OSC = HS			// HS oscillator ?20MHz
#pragma	config FCMEN = OFF		// Fail-Safe Clock Monitor disabled
#pragma	config IESO = OFF		// Oscillator Switchover mode disabled
#pragma	config PWRT = OFF		// PWRT disabled
#pragma	config WDT = OFF		// WDT disabled (control is placed on the SWDTEN bit)
#pragma	config MCLRE = ON		// MCLR pin enabled; RE3 input pin disabled 
#pragma	config PBADEN = OFF		// PORTB<4:0> pins are configured as digital I/O
#pragma	config LVP = OFF		// Single-Supply ICSP disabled 
#pragma	config XINST = OFF		// Extended 
//=============================================================================
//	Define Pins
//=============================================================================
#define ledg1		PORTCbits.RC0		//active High
#define ledg2		PORTCbits.RC1
#define ledg3		PORTCbits.RC2
#define ledg4		PORTCbits.RC3
#define ledg5		PORTCbits.RC4
#define ledg6		PORTCbits.RC5		//for GREEN LED AND YELLOW LED

#define ledr1		PORTAbits.RA0		//active High
#define ledr2		PORTAbits.RA1
#define ledr3		PORTAbits.RA2
#define ledr4		PORTAbits.RA3
#define ledr5		PORTAbits.RA5
#define ledr6		PORTEbits.RE0		//for RED LED

#define sw1			PORTBbits.RB0
#define sw2			PORTBbits.RB1
#define sw3			PORTBbits.RB2
#define sw4			PORTBbits.RB3
#define sw5			PORTBbits.RB4
#define sw6			PORTBbits.RB5		//for switch

#define RS RB6
#define EN RB7
#define D0 RD0
#define D1 RD1
#define D2 RD2
#define D3 RD3
#define D4 RD4
#define D5 RD5
#define D6 RD6
#define D7 RD7

#define _XTAL_FREQ 8000000
//=============================================================================
//LCD
//=============================================================================

//=============================================================================
//	Main Program
//=============================================================================


void main (void) 
{	
    int i;
	TRISA = 0;
	TRISB = 1;
	TRISC = 0;
	TRISD = 0;
	TRISE = 0;
	PORTA = 0;
	PORTB = 0;
	PORTC = 0;
	PORTD = 0;
	PORTE = 0;
	ADCON1=0b00001111;          //<<<declare input and output pin here     
	
   
	                         
	while (1)
	{

        Lcd8_Init();
        Lcd8_Set_Cursor(1,1);
        Lcd8_Write_String("Welcome");
        for(i=0;i<15;i++)
        {
        delay_ms(1000);
        Lcd8_Shift_Left();
        }
	 
			
			if	(sw1 ==1)
			ledr1 = 1;
	     	else
			ledg1 = 1;
			ledr1 = 0;
		
			
			if	(sw1 ==0)
			ledg1 = 1;
		    else
			ledr1 = 1;
			ledg1 = 0;
		
			
			if	(sw2 ==1)
			ledr2 = 1;
		    else
			ledg2 = 1;
			ledr2 = 0;
		
		
			if	(sw2 ==0)
			ledg2 = 1;
		    else
			ledr2 = 1;
			ledg2 = 0;
		
			
			if	(sw3 ==1)
			ledr3 = 1;
		    else
			ledg3 = 1;
			ledr3 = 0;
		
			
			if	(sw3 ==0)
			ledg3 = 1;
		    else
			ledr3 = 1;
			ledg3 = 0;
		
			
			if	(sw4 ==1)
			ledr4 = 1;
		    else
			ledg4 = 1;
			ledr4 = 0;
		
			
			if	(sw4 ==0)
			ledg4 = 1;
		    else
			ledr4 = 1;
			ledg4 = 0;
		
			
			if	(sw5 ==1)
			ledr5 = 1;
		    else
			ledg5 = 1;
			ledr5 = 0;
		
			
			if	(sw5 ==0)
			ledg5 = 1;
		    else
			ledr5 = 1;
			ledg5 = 0;
		
			
	     	if	(sw6 ==1)
			ledr6 = 1;
		    else
			ledg6 = 1;
			ledr6 = 0;
		
			
			if	(sw6 ==0)
			ledg6 = 1;
		    else
			ledr6 = 1;
			ledg6 = 0;
		
		
	}
}

delay_ms(unsigned int x)	// delay 1 ms

{
	for(;x>0;x--)
		{
		T0CON=0b10010000;     //Fosc 20MHz, Timer 0,16-bit mode, prescaler 1:2, use internal clock, increment on positive-edge
		TMR0H=0xF6;
		TMR0L=0x3C;
		T0CONbits.TMR0ON=1;
		while(INTCONbits.TMR0IF==0);
		T0CONbits.TMR0ON=0;
		INTCONbits.TMR0IF=0;
		}

}